#include "xcleafbrushnodeleaf.h"

XCLeafBrushNodeLeaf::XCLeafBrushNodeLeaf()
    : XCLeafBrushNodeData()
    , mBrushes()
{
    SetName("C Leaf Brush Node Leaf");
}

void XCLeafBrushNodeLeaf::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XCLeafBrushNodeLeaf::ParseData

    if (GetPtr() == -1) {
        // We would parse brushes here, but we're using a placeholder
    }
}

void XCLeafBrushNodeLeaf::Clear()
{

}
